﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 2022: (1 year) VER RS-232 /5800A+5Ch
DATE:                  2010-08-12 17:54:35
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       209
CONFIGURATION:         Fluke 5800A (C5)
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY
# 
#  Models covered:
#        TDS 2022
# 
#  Source(s):
#        TDS1000 and TDS2000 Series Digital Storage Oscilloscopes
#        Service Manual, PN 071-1076-02
# 
#  Compatibility:
#        MET/CAL or 5500/CAL 7.20 SP3 (7.20Z) or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub Select Failed Test Mode
#        Sub High Voltage Safety Warning
#        Sub Select Verification Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query RS-232
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub UUT RS-232 Connection DTE DB9 (m) /58xx
#        Sub Tek TDS1000/2000 Specifications
#        Sub Tek TDS1000/2000 Setup RS-232
#        Sub Tek TDS1000/2000 Self-Test RS-232
#        Sub Tek TDS1000/2000 Sig Path Comp Cal RS-232
#        Sub Tek TDS1000/2000 Select Channel RS-232
#        Sub Tek TDS1000/2000 Trigger Chk and Level Adj RS-232
#        Sub Tek TDS1000/2000 (1 yr) DCV Meas RS-232 /5800
#        Sub Tek TDS1000/2000 (1 yr) Bandwidth RS-232 /5800
#        Sub Tek TDS1000/2000 (1 yr) Trig Sens RS-232 /5800
#        Sub Tek TDS1000/2000 (1 yr) ExTrig Sens RS-232 /5800
#        Sub Tek TDS1000/2000 (1 yr) Sample Rate RS-232 /5800
#        Sub Tek TDS1000/2000 VER Required Equipment /5800
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        See "Sub Tek TDS1000/2000 VER Required Equipment /5800"
# 
# The procedure was tested using:
#
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :  10 min
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  5800         500MH                        1Vpp           LS S6 S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

  1.006  IF           NOT(VERSIONCHECK("7.20Z"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning

  1.011  HEAD         PRELIMINARY INSTRUCTIONS
  1.012  CALL         Sub Select Failed Test Mode
  1.013  CALL         Sub Select Verification Method (No NTHROW)

  1.014  DISP         Ensure a minimum UUT warm-up time of at least
  1.014  DISP         10 minutes has been allowed to elapse, prior
  1.014  DISP         to beginning verification.

  1.015  HEAD         COMMUNICATION SETUP
  1.016  TARGET
  1.017  CALL         Sub Tek TDS1000/2000 Setup RS-232
  1.018  JMPL         END                          @Abort
  1.019  CALL         Sub UUT RS-232 Connection DTE DB9 (m) /58xx
  1.020  PORT         *RST

  1.021  HEAD         UUT IDENTIFICATION
  1.022  CALL         Sub IEEE-488.2 Identification Query RS-232
  1.023  MATH         @UUT_Model = "TDS 2022"
  1.024  MATH         @UUT_Manufacturer = "Tektronix"
  1.025  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.026  JMPL         END                          @Abort

  1.027  CALL         Sub Tek TDS1000/2000 Specifications

# Specify whether the calibrator have multi channels during test in order
# to decide proper connection instruction be taken in the sub procedures.
  1.028  MATH         @SourceMultiCh = 1

  1.029  HEAD         EQUIPMENT REQUIREMENTS
  1.030  OPBR         -z Do you want to REVIEW the list of additional
  1.030  OPBR         equipment and/or accessories required?

  1.031  IF           MEM1
  1.032  CALL         Sub Tek TDS1000/2000 VER Required Equipment /5800
  1.033  ENDIF

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    3.   DCV MEASUREMENT ACC(CH1)           DCV MEASUREMENT ACC(CH1)
#    4.   DCV MEASUREMENT ACC(CH2)           DCV MEASUREMENT ACC(CH2)
#    5.   BANDWIDTH(CH1)                     BANDWIDTH(CH1)
#    6.   BANDWIDTH(CH2)                     BANDWIDTH(CH2)
#    7.   EDGE-TRIGGER SENSITIVITY(CH1)      EDGE-TRIGGER SENSITIVITY(CH1)
#    8.   EDGE-TRIGGER SENSITIVITY(CH2)      EDGE-TRIGGER SENSITIVITY(CH2)
#    9.   EXT EDGE-TRIGGER SENSITIVITY(CH1)  SAMPLE RATE AND DELAY TIME ACC
#   10.   EXT EDGE-TRIGGER SENSITIVITY(CH2)  EXT EDGE-TRIGGER SENSITIVITY(CH1)
#   11.   SAMPLE RATE AND DELAY TIME ACC     EXT EDGE-TRIGGER SENSITIVITY(CH2)

  1.034  CALL         Sub Tek TDS1000/2000 Self-Test RS-232
  1.035  JMPL         END                          @Abort
  1.036  CALL         Sub Tek TDS1000/2000 Sig Path Comp Cal RS-232
  1.037  JMPL         END                          @Abort

  1.038  MATH         @Chan = 1
  1.039  M5800                                                    C1
  1.040  CALL         Sub Tek TDS1000/2000 (1 yr) DCV MEAS RS-232 /5800

  1.041  MATH         @Chan = 2
  1.042  M5800                                                    C2
  1.043  CALL         Sub Tek TDS1000/2000 (1 yr) DCV MEAS RS-232 /5800

  1.044  MATH         @Chan = 1
  1.045  M5800                                                    C1
  1.046  CALL         Sub Tek TDS1000/2000 (1 yr) BANDWIDTH RS-232 /5800

  1.047  MATH         @Chan = 2
  1.048  M5800                                                    C2
  1.049  CALL         Sub Tek TDS1000/2000 (1 yr) BANDWIDTH RS-232 /5800

  1.050  MATH         @Chan = 1
  1.051  M5800                                                    C1
  1.052  CALL         Sub Tek TDS1000/2000 (1 yr) TRIG SENS RS-232 /5800

  1.053  MATH         @Chan = 2
  1.054  M5800                                                    C2
  1.055  CALL         Sub Tek TDS1000/2000 (1 yr) TRIG SENS RS-232 /5800
  1.056  JMPL         SAMPLE_RATE_DELAY_TIME

  1.057  LABEL        EXT_TRIG_CH1
  1.058  MATH         @Chan = 1
  1.059  M5800                                                    C1
  1.060  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens RS-232 /5800

  1.061  MATH         @Chan = 2
  1.062  M5800                                                    C1
  1.063  CALL         Sub Tek TDS1000/2000 (1 yr) ExTrig Sens RS-232 /5800
  1.064  JMPL         END

  1.065  LABEL        SAMPLE_RATE_DELAY_TIME
  1.066  MATH         @Chan = 1
  1.067  M5800                                                    C1
  1.068  CALL         Sub Tek TDS1000/2000 (1 yr) Sample Rate RS-232 /5800
  1.069  JMPL         EXT_TRIG_CH1

  1.070  LABEL        END

  1.071  IF           @Abort
  1.072  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.073  ELSE
  1.074  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.075  ENDIF

  1.076  PORT         *RST
  1.077  END

